html,
body {
    margin: 0px auto;
}

body {
    background-color: #C5C6C7;
    font-family: 'Montserrat', sans-serif;
}

div#app {
    display: grid;
    max-width: 1400px;
    margin: 0 auto;
    grid-template-columns: auto 1fr auto;
    grid-template-rows: auto auto 1fr auto;
    grid-template-areas: 'header header header' 'menu menu menu' 'container container container' 'footer footer footer';
    min-height: 100vh;
}


/* header {
    grid-area: header;
    background-color: #aaaaaa;
} */

nav {
    grid-area: menu;
    flex-wrap: wrap;
    height: 60px;
    background-color: #1F2833;
    font-size: 60px;
    line-height: 60px;
    padding: 20px;
    color: #66FCF1;
    display: flex;
    border-radius: 0px 0px 30px 30px;
    font-family: 'Montserrat', sans-serif;
    align-items: center;
}

nav a {
    color: #66FCF1;
    text-decoration: none;
    margin: 0 10px;
    font-size: 28px;
}

nav a:hover {
    color: #66FCF1;
    transform: scale(1.1);
    text-decoration: none;
}

#container {
    grid-area: container;
    justify-items: center;
    align-items: center;
    background-color: #1F2833;
    padding: 20px;
    margin: 4px;
    color: #66FCF1;
    border-radius: 30px;
}

footer {
    grid-area: footer;
    padding: 10px;
    text-align: center;
    color: #66FCF1;
    background-color: #1F2833;
    border-radius: 30px 30px 0px 0px;
    font-size: 30px;
    font-family: 'Montserrat', sans-serif;
}

.hidden {
    display: none;
}

a.active {
    color: #66FCF1;
    font-weight: bold;
}

input#search {
    background-color: #1F2833;
    color: #66FCF1;
    border: 1px solid #66FCF1;
    border-radius: 30px;
    height: 50px;
    width: 100px;
    flex: 1 0;
    margin: auto;
    padding: 3px;
    font-size: 20px;
    align-items: center;
}

#search {
    max-width: 30%;
    align-items: right;
}

span.favorite {
    padding-left: 8px;
    cursor: pointer;
}

span.favorite.active {
    color: #66FCF1;
}

span.favorite:hover {
    color: #66FCF1;
}

button.details-label {
    background-color: #66FCF1;
    padding: 8px;
    margin: 10px;
    border: 1px solid #66FCF1;
    border-radius: 5px;
    color: #1F2833;
    font-size: 16px;
    font-weight: 300px;
    max-width: 106px;
    max-height: 46px;
}

button.details-label.active {
    background-color: #66FCF1;
    padding: 10px;
    margin: 10px;
    border: 1px solid #66FCF1;
    border-radius: 5px;
    color: #1F2833;
    font-size: 12px;
    font-weight: 300px;
}

.content {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}


/*
CSS styles for dynamically loaded views from template files.
*/

h1 {
    font-size: 42px;
    font-family: sans-serif;
}

#upload {
    background-color: #66FCF1;
    color: #1F2833;
    padding: 4px;
    margin: 4px;
    border: 1px solid #66FCF1;
    border-radius: 3px;
}

#giphy-url {
    text-decoration: underline;
    color: #66FCF1;
    font-size: h3;
}

#features {
    margin: 15px;
    font-size: 24px;
    align-items: center;
    list-style-type: "\2705";
}

li {
    margin: 10px;
    padding: 10px;
}

#home-info {
    display: inline block;
    background-color: #66FCF1;
    border: 5px solid #1F2833;
    height: auto;
    width: auto;
    border-radius: 12px;
    padding: 10px;
    font-size: 24px;
    margin: 8px;
    font-family: sans-serif;
    color: #1F2833;
    max-width: 600px;
    justify-content: center;
}

.card-box {
    display: grid;
    flex-direction: column;
    position: relative;
    border: 5px solid #66FCF1;
    border-radius: 8px;
    margin: 8px;
    align-items: flex-end;
}

#card-data {
    display: flex;
    height: 60px;
    align-items: center;
    justify-content: center;
}

.gif-img {
    height: 200px;
    width: 200px;
    border-bottom: 5px solid #66FCF1;
}

.favorite {
    margin-right: 10px;
}

#home {
    justify-content: space-around;
}

#random-gif img {
    width: 200px;
    height: 200px;
}

#random-gif {
    width: 225px;
    height: 200px;
}

#uploaded-gifs {
    display: flex;
}

.overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 200px;
    width: 200px;
    opacity: 0;
    transition: .3s ease-in-out;
    background-color: #66FCF1;
}

#uploads-form {
    display: grid;
    border-radius: 50px;
    margin: 20px;
    padding: 20px;
    justify-content: center;
    font-size: 32px;
}

#uploads-validation {
    font-size: 24px;
}

#upload-button {
    font-size: 32px;
    border-radius: 30px;
    padding: 15px;
    text-align: center;
    background-color: #66FCF1;
    color: #1F2833;
}

#file-validation {
    font-size: 14px;
    color: red;
    display: none;
}

#upload-success {
    font-size: 16px;
    color: #66FCF1;
    display: none;
}

.details-list {
    padding-top: 15px;
    padding-left: 0px;
}

.details-list li {
    font-size: 12px;
    list-style: none;
    padding: 0;
    color: #1F2833;
}